Architecting, installing and maintaining your SAS environment

SAS not installing on Solaris 10 Update xx

Reply
Occasional Contributor
Posts: 8

SAS not installing on Solaris 10 Update xx

THis is a reposting from Issues managing SAS. I am a new SAS admin, trying to get our server based applications working. This was turned over to us from an install vendor and has never been functional.

Our issues are:

  1. SAS doesn’t like the OS Version and Update values of this Solaris server and won’t start the software Error Message: This machine is currently using the following operating system: Solaris 10 update 0

However, you need the following operating system (or later) in order to install and run your SAS software: Solaris 10 update 9

We can only get by this problem when running a flag to the installer to not run the OS version check

    2. During install of software, the installation of the binaries would fail randomly with Java Out of Memory ErrorsThis issue seems to have gone away after a reboot of the SAS Solaris Instance

    3. Random Java errors in a SAS Session when starting up SAS Program Interface on the Server  This issue went away after apply a SAS host fix

     4. The Configuration portion of the software fails when running in quiet mode

     5. The Configuration portion of the software fails when running in interactive mode

 

All ideas are welcomed.

Super User
Posts: 11,558

Re: SAS not installing on Solaris 10 Update xx

Posted in reply to tcooper92

I think you need to contact tech support.

Note that SAS licenses often include the version of the software the installation is expected to run on. So if you try to install a license on an incorrect version then you get this type of error.

Tech support should be able to verify which specific installation files you will need for server or client installs.

 

 

Regular Contributor
Posts: 211

Re: SAS not installing on Solaris 10 Update xx

What version of SAS are you installing ? Is this Solaris on SPARC or x64 ?

 

Occasional Contributor
Posts: 8

Re: SAS not installing on Solaris 10 Update xx

The physical (host) server is a SUN T5-4 Oracle Solaris OS, version 11.

There are two VM's for a DB and App server on the same physical machine and they are running the Solaris Version 10.* OS.

 

I should say that during a migration two years ago, the Solaris OS was merely copied from the old physical machine for expediancy rather than conducting a fresh install. I am learing about this as I go. I am not a network IT guy but rather a business side PM and product owner seeking to troubleshoot something that no one else has bothered to fix. Forgive me if I do not provide the exactly correct response.

 

Thank you

SAS Employee
Posts: 51

Re: SAS not installing on Solaris 10 Update xx

Posted in reply to tcooper92

Are you trying to upgrade an existing SAS deployment?  Or do a fresh install?

 

Regular Contributor
Posts: 211

Re: SAS not installing on Solaris 10 Update xx

Posted in reply to tcooper92

So this is SPARC and assuming SAS 9.4, see the below link to the system requirements for this combination.

 

Stick to the requirements EXACTLY, don't deviate.

 

http://support.sas.com/documentation/installcenter/en/ikfdtns64sr/66400/PDF/default/sreq.pdf

 

Occasional Contributor
Posts: 8

Re: SAS not installing on Solaris 10 Update xx

The back story is the OS may have just been copied from a another physical machine during a network migration.

 

ua00001:/root # more /etc/release

                   Oracle Solaris 10 8/11 s10s_u10wos_17b SPARC

 

I suspect a fresh install would have been the best practice.

How does a person on the business side broach this topic with the server admins? Smiley Wink

Regular Contributor
Posts: 211

Re: SAS not installing on Solaris 10 Update xx

Posted in reply to tcooper92
I would involve your SAS Account Executive to start this conversation. The AE can then involve Tech Support and/or PSD where needed. Every situation is unique, but I would start there. 

SAS Employee
Posts: 51

Re: SAS not installing on Solaris 10 Update xx

Posted in reply to tcooper92

A fresh install of what?  Solaris and/or SAS?

 

SAS 9.4 requires Solaris 10 update 9 or Solaris 11 (prefeffably)

 

Occasional Contributor
Posts: 8

Re: SAS not installing on Solaris 10 Update xx

Posted in reply to MargaretC

Yes, Solaris. Sorry, that was vague.

 

Solaris host is version 11, Solaris VM is 10. I have been told the VM software was not a build but rather a copy which explains the differnent (older) version.

 

Thank you for the link. 

 

Occasional Contributor
Posts: 8

Re: SAS not installing on Solaris 10 Update xx

Thank you for the link.

Occasional Contributor
Posts: 8

Re: SAS not installing on Solaris 10 Update xx

YEa, got them on board too.
Ask a Question
Discussion stats
  • 11 replies
  • 298 views
  • 0 likes
  • 4 in conversation